Home//WhatsApp
WhatsApp
Introduction
Changelog (2.16)
Intercom API
Admins
AI Content
Articles
Audiences
Away Status Reasons
Banners
Brands
Calls
Companies
Contacts
Content
Content Snippets
Conversations
Conversations Attributes
Custom Object Instances
Data Attributes
Data Connectors
Data Events
Data Export
Emails
Fin Agent
Help Center
Internal Articles
IP Allowlist
Jobs
Macros
Messages
News
Notes
Office Hours
Reporting Data Export
Segments
Subscription Types
Switch
Tags
Teams
Ticket States
Ticket Type Attributes
Ticket Types
Tickets
Visitors
Workflows
Models
Retrieves the delivery status of a specific WhatsApp message by its message ID.
Returns the current status, conversation details, and any error information if the message failed to deliver.
Security
bearerAuth
Intercom-Versionstring(intercom_version)
Intercom API version.
By default, it's equal to the version set in the app package.
Default:"2.16"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.16
- The production API serverhttps://api.intercom.io/messages/whatsapp/status
- The european API serverhttps://api.eu.intercom.io/messages/whatsapp/status
- The australian API serverhttps://api.au.intercom.io/messages/whatsapp/status
curl -i -X GET \
'https://api.intercom.io/messages/whatsapp/status?message_id=string' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Intercom-Version: 2.16'Successful response
Current delivery status of the message
Enum:"sent""delivered""read""failed"
Example:"delivered"
Response
- Successful response
- Failed message with error
{ "conversation_id": "123456789", "status": "delivered", "type": "broadcast_outbound", "created_at": 1734537980, "updated_at": 1734538000, "template_name": "appointment_reminder", "message_id": "wamid_abc123" }